import	datetime
import	re
import	glob
import	os.path

DIGITS = re.compile ("\d+")

print	"============================================"
print	"Date              Penou       Barthe  Status"
print	"============================================"
for line in open ("liste.days"):

	date = datetime.date (* map (int, DIGITS.findall (line)))

	amj = date.strftime ("%Y%m%d")

	penou = "/DATA/BEPI/DATA/L0/%04d/%02d/MEA_%s.tlm" % (date.year, date.month, amj)

	penou_files = glob.glob (penou)

	penou_size = sum (map (os.path.getsize, penou_files))

	barthe = "/home/bepi/data/L0/%s/MEA?_L0_%s_TLM.dat" % (amj, amj)

	barthe_files = glob.glob (barthe)

	barthe_size = sum (map (os.path.getsize, barthe_files))

	status = (barthe_size == penou_size) and "OK" or "Difference"

	print "%s %12ld %12ld  %s" % (date, penou_size, barthe_size, status)


