////////////////////////////////////////////////////////////////////////////////
//
//	BEPI software various tools
//
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__TYPES_H
#define	__TYPES_H

typedef	unsigned char	byte_t;


//	Hexadecimal dump to string
//
char *	Hex_dump (unsigned char * ptr, int size);


//	Return a 16 bits value from a starting address
//
uint16_t get_uint16 (byte_t * adr);


//	Return a 32 bits value from a starting address
//
uint32_t get_uint32 (byte_t * adr);


//	Return a 64 bits value from a starting address
//
uint64_t get_uint64 (byte_t * adr);

//	Uncompress unsigned short to double (Used by VM products)
//
double	ushort_to_double (uint16_t);

//	Uncompress from byte to unsigned short int 
//
uint16_t byte_to_uint16 (byte_t b);

//	Uncompress from byte to unsigned int 
//
uint32_t byte_to_uint32 (byte_t b);

#endif
